classification
Title: Allow MAX_STRING_LENGTH limits to be changed at runtime
Type: enhancement Stage: resolved
Components: Versions: Python 3.4
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: chris.jerdonek, pitrou, vstinner
Priority: normal Keywords:

Created on 2012-07-28 16:13 by chris.jerdonek, last changed 2020-11-18 11:32 by iritkatriel. This issue is now closed.

Messages (4)
msg166661 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-07-28 16:13
This issue is to allow the MAX_STRING_LENGTH limit defined in Python/traceback.c to be changed at runtime, as discussed in issue 15463, as well as the two related limits:

#define MAX_STRING_LENGTH 100
#define MAX_FRAME_DEPTH 100
#define MAX_NTHREADS 100

http://hg.python.org/cpython/file/ddf15cd9be4a/Python/traceback.c#l16
msg166694 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-07-28 21:11
Sounds totally overkill to me.
msg166697 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-07-28 21:59
I don't have a problem with closing this as rejected if Victor agrees.
msg167155 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2012-08-01 18:03
> Sounds totally overkill to me.

I changed the maximum length of a string to 500 characters instead of
100. It should be enough for most cases.
History
Date User Action Args
2020-11-18 11:32:38iritkatrielsetstatus: open -> closed
resolution: rejected
stage: resolved
2012-08-01 18:03:34vstinnersetmessages: + msg167155
2012-07-28 21:59:58chris.jerdoneksetmessages: + msg166697
2012-07-28 21:11:39pitrousetnosy: + pitrou
messages: + msg166694
2012-07-28 16:13:52chris.jerdonekcreate